## ros-melodic-toposens-pointcloud 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(toposens_pointcloud)

add_compile_options(-std=c++17)

set(${PROJECT_NAME}_DEPS
  geometry_msgs
  message_runtime
  pcl_ros
  roscpp
  tf2
  tf2_geometry_msgs
  toposens_driver
  toposens_msgs
  visualization_msgs
)

find_package(Eigen3 3.3 REQUIRED NO_MODULE)

find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_DEPS})

catkin_package(INCLUDE_DIRS include LIBRARIES ${PROJECT_NAME} CATKIN_DEPENDS
               ${${PROJECT_NAME}_DEPS})

include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch rviz DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# ##############################################################################
# Test ##
# ##############################################################################
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
find_package(roslaunch REQUIRED)
find_package(rostest REQUIRED)

# ##############################################################################
# Modules ##
# ##############################################################################

set(TEST_MODULES mapping)

foreach(M ${TEST_MODULES})
  add_rostest_gtest(${PROJECT_NAME}_${M}_test modules/${M}/launch.test
                    modules/${M}/tests.cpp ../src/ts_pointcloud_ros.cpp)

  target_link_libraries(${PROJECT_NAME}_${M}_test ${PROJECT_NAME})

endforeach()

# ##############################################################################
# Hz test ##
# ##############################################################################

add_rostest(hertz/ts_pointcloud.test DEPENDENCIES ${PROJECT_NAME}_node)

=== debian/changelog ===
ros-melodic-toposens-pointcloud (2.1.0-1stretch) stretch; urgency=high

  * Introduce bringup package and general updates.
  * Prepare for Noetic release
  * Run separate CI stages for melodic+noetic. Bump up CMake version to 3.0.2.
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 02 Nov 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.4-1stretch) stretch; urgency=high

  * Changed package maintainer
  * Fix catkin_lint issues
  * By default do not log point cloud data
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 14 Oct 2020 22:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.3-1stretch) stretch; urgency=high



 -- Sebastian Dengler <dengler@toposens.com>  Tue, 11 Aug 2020 22:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.2-1stretch) stretch; urgency=high

  * Changed package maintainer
  * Contributors: Sebastian Dengler

 -- Sebastian Dengler <dengler@toposens.com>  Thu, 27 Feb 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.1-1stretch) stretch; urgency=high

  * Added visualization_msgs and geometry_msgs dependency
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Wed, 22 Jan 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.0-1stretch) stretch; urgency=high

  * Generate a surface normal vector for each detected point
  * Converted PointCloud of type TsPoint to PointCloud of type PointXYZINormal
  * Added option to visualize normal vectors as arrows
  * Contributors: Inshal Uddin, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Mon, 13 Jan 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (1.3.0-1stretch) stretch; urgency=high

  * Using robot description instead of markers for sensor visualization
  * Made topic name to listen for TsScans a launch argument
  * Fixed bug of crashing ts_cloud_node due to access conflicts in Logging class
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.3-1stretch) stretch; urgency=high

  * Outsourced saving of cumulative pointcloud into boost::thread
  * Contributors: Christopher Lang

 -- Adi Singh <singh@toposens.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.2-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.1-1stretch) stretch; urgency=high

  * Added possibility to choose path for storing pcd file
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 11 Jul 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.0-1stretch) stretch; urgency=high

  * Added launch files for armhf architectures
  * Added rules to install launch & rviz files
  * Added visualization_msgs dependency
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 04 Jul 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.1.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 20 Jun 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.0.0-1stretch) stretch; urgency=high

  * Added setup delay to Hz tests
  * Contributors: Adi Singh, Christopher Lang, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Mon, 13 May 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.6-1stretch) stretch; urgency=high

  * Add colored tags to tests for console debugging
  * Added sensor mesh to PCL rviz
  * Removed pointcloud dependency on rviz
  * Implemented test data download functionality
  * Contributors: Adi Singh, Roua Mokchah

 -- Adi Singh <singh@toposens.com>  Sun, 12 May 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.5-1stretch) stretch; urgency=high

  * Implemented tests for toposens_pointcloud
  * Contributors: Roua Mokchah

 -- Adi Singh <singh@toposens.com>  Thu, 02 May 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.3-1stretch) stretch; urgency=high

  * Rebased to clean history
  * Contributors: Adi Singh

 -- Adi Singh <singh@toposens.com>  Thu, 25 Apr 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.2-1stretch) stretch; urgency=high

  * Fixed package versions
  * Contributors: Adi Singh

 -- Adi Singh <singh@toposens.com>  Tue, 16 Apr 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.8.1-1stretch) stretch; urgency=high

  * Added remote Turtlebot launchers
  * Temperature calibration implemented
  * Contributors: Nancy Seckel, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 28 Mar 2019 23:00:00 -0000

ros-melodic-toposens-pointcloud (0.8.0-1stretch) stretch; urgency=high

  * Created Command class with overloaded constructors
  * Contributors: Christopher Lang

 -- Adi Singh <singh@toposens.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-toposens-pointcloud (0.7.0-1stretch) stretch; urgency=high

  * Added native PCL integration
  * Contributors: Adi Singh

 -- Adi Singh <singh@toposens.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-toposens-pointcloud (0.5.0-1stretch) stretch; urgency=high



 -- Adi Singh <singh@toposens.com>  Wed, 06 Feb 2019 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-toposens-pointcloud
Section: misc
Priority: optional
Maintainer: Tobias Roth <roth@toposens.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rostest, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-toposens-driver, ros-melodic-toposens-msgs, ros-melodic-visualization-msgs
Homepage: https://toposens.com
Standards-Version: 3.9.2

Package: ros-melodic-toposens-pointcloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-toposens-driver, ros-melodic-toposens-msgs, ros-melodic-visualization-msgs
Description: PCL integration for TS sensors mounted on Turtlebot3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-toposens-pointcloud//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-toposens-pointcloud 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_minimum_required(VERSION 3.0.2)
+
 project(toposens_pointcloud)
 
 add_compile_options(-std=c++17)
@@ -15,14 +16,20 @@
   visualization_msgs
 )
 
-find_package(Eigen3 3.3 REQUIRED NO_MODULE)
+find_package(Eigen3 REQUIRED NO_MODULE)
 
 find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_DEPS})
 
-catkin_package(INCLUDE_DIRS include LIBRARIES ${PROJECT_NAME} CATKIN_DEPENDS
-               ${${PROJECT_NAME}_DEPS})
+catkin_package(
+  INCLUDE_DIRS include
+  LIBRARIES ${PROJECT_NAME}
+  CATKIN_DEPENDS ${${PROJECT_NAME}_DEPS}
+)
 
-include_directories(include ${catkin_INCLUDE_DIRS})
+include_directories(
+  include
+  ${catkin_INCLUDE_DIRS}
+)
 
 add_subdirectory(src)

=== debian/changelog ===
ros-melodic-toposens-pointcloud (2.3.2-1bionic) bionic; urgency=high

  * Download test data to /tmp/tests
  * Contributors: Thomas Böhm

 -- Dennis Maier <maier@toposens.com>  Wed, 26 Jan 2022 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.3.1-1bionic) bionic; urgency=high

  * Minor clean-up and bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Mon, 25 Oct 2021 22:00:00 -0000

ros-melodic-toposens-pointcloud (2.3.0-1bionic) bionic; urgency=high

  * Introduce toposens_echo_driver package
  * Update maintainers
  * Minor bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 22 Sep 2021 22:00:00 -0000

ros-melodic-toposens-pointcloud (2.2.1-1bionic) bionic; urgency=high

  * Update Maintainer
  * Contributors: Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 19 May 2021 22:00:00 -0000

ros-melodic-toposens-pointcloud (2.2.0-1bionic) bionic; urgency=high

  * Optimize launch file structure
  * Add .clang-format file and auto-format files (including XML-style files)
  * Contributors: Dennis Maier, Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.1.1-1bionic) bionic; urgency=high

  * Include kinetic in CI and relax Eigen version requirements
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.1.0-1bionic) bionic; urgency=high

  * Introduce bringup package and general updates.
  * Prepare for Noetic release
  * Run separate CI stages for melodic+noetic. Bump up CMake version to 3.0.2.
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Mon, 02 Nov 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.4-1bionic) bionic; urgency=high

  * Changed package maintainer
  * Fix catkin_lint issues
  * By default do not log point cloud data
  * Contributors: Tobias Roth

 -- Tobias Roth <roth@toposens.com>  Wed, 14 Oct 2020 22:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.3-1bionic) bionic; urgency=high



 -- Sebastian Dengler <dengler@toposens.com>  Tue, 11 Aug 2020 22:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.2-1bionic) bionic; urgency=high

  * Changed package maintainer
  * Contributors: Sebastian Dengler

 -- Sebastian Dengler <dengler@toposens.com>  Thu, 27 Feb 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.1-1bionic) bionic; urgency=high

  * Added visualization_msgs and geometry_msgs dependency
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Wed, 22 Jan 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (2.0.0-1bionic) bionic; urgency=high

  * Generate a surface normal vector for each detected point
  * Converted PointCloud of type TsPoint to PointCloud of type PointXYZINormal
  * Added option to visualize normal vectors as arrows
  * Contributors: Inshal Uddin, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Mon, 13 Jan 2020 23:00:00 -0000

ros-melodic-toposens-pointcloud (1.3.0-1bionic) bionic; urgency=high

  * Using robot description instead of markers for sensor visualization
  * Made topic name to listen for TsScans a launch argument
  * Fixed bug of crashing ts_cloud_node due to access conflicts in Logging class
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Sun, 17 Nov 2019 23:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.3-1bionic) bionic; urgency=high

  * Outsourced saving of cumulative pointcloud into boost::thread
  * Contributors: Christopher Lang

 -- Adi Singh <singh@toposens.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.2-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.1-1bionic) bionic; urgency=high

  * Added possibility to choose path for storing pcd file
  * Contributors: Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 11 Jul 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.2.0-1bionic) bionic; urgency=high

  * Added launch files for armhf architectures
  * Added rules to install launch & rviz files
  * Added visualization_msgs dependency
  * Contributors: Christopher Lang, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Thu, 04 Jul 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.1.0-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Thu, 20 Jun 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (1.0.0-1bionic) bionic; urgency=high

  * Added setup delay to Hz tests
  * Contributors: Adi Singh, Christopher Lang, Sebastian Dengler

 -- Adi Singh <singh@toposens.com>  Mon, 13 May 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.6-1bionic) bionic; urgency=high

  * Add colored tags to tests for console debugging
  * Added sensor mesh to PCL rviz
  * Removed pointcloud dependency on rviz
  * Implemented test data download functionality
  * Contributors: Adi Singh, Roua Mokchah

 -- Adi Singh <singh@toposens.com>  Sun, 12 May 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.5-1bionic) bionic; urgency=high

  * Implemented tests for toposens_pointcloud
  * Contributors: Roua Mokchah

 -- Adi Singh <singh@toposens.com>  Thu, 02 May 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.3-1bionic) bionic; urgency=high

  * Rebased to clean history
  * Contributors: Adi Singh

 -- Adi Singh <singh@toposens.com>  Thu, 25 Apr 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.2-1bionic) bionic; urgency=high

  * Fixed package versions
  * Contributors: Adi Singh

 -- Adi Singh <singh@toposens.com>  Tue, 16 Apr 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.9.0-1bionic) bionic; urgency=high



 -- Adi Singh <singh@toposens.com>  Mon, 08 Apr 2019 22:00:00 -0000

ros-melodic-toposens-pointcloud (0.8.1-1bionic) bionic; urgency=high

  * Added remote Turtlebot launchers
  * Temperature calibration implemented


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-toposens-pointcloud
 Section: misc
 Priority: optional
-Maintainer: Tobias Roth <roth@toposens.com>
+Maintainer: Dennis Maier <maier@toposens.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-rostest, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-toposens-driver, ros-melodic-toposens-msgs, ros-melodic-visualization-msgs
 Homepage: https://toposens.com
 Standards-Version: 3.9.2
